Subject: [PATCH] powerpc: clrsetbits_le16: fix copy-and-paste error

From: Scott Wood <[email-masked]>
Date: Tue, 17 Jun 2008 11:59:59 -0500

This was pointed out by Detlev Zundel when this code was being
added to U-boot.

Signed-off-by: Scott Wood <[email-masked]>
---
Note that nothing currently uses the le16 version, so it's not
an urgent bugfix.

 include/asm-powerpc/io.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/include/asm-powerpc/io.h b/include/asm-powerpc/io.h
index 6db422d..8b62782 100644
--- a/include/asm-powerpc/io.h
+++ b/include/asm-powerpc/io.h
@@ -772,7 +772,7 @@ static inline void * bus_to_virt(unsigned long address)
 #define clrsetbits_le32(addr, clear, set) clrsetbits(le32, addr, clear, set)
 
 #define clrsetbits_be16(addr, clear, set) clrsetbits(be16, addr, clear, set)
-#define clrsetbits_le16(addr, clear, set) clrsetbits(le32, addr, clear, set)
+#define clrsetbits_le16(addr, clear, set) clrsetbits(le16, addr, clear, set)
 
 #define clrsetbits_8(addr, clear, set) clrsetbits(8, addr, clear, set)
 
-- 
1.5.5.4